<?php if ($listAlarmsActive): ?>
<div role="tabpanel" class="tab-pane active" id="listAlarms">
<?php else: ?>
<div role="tabpanel" class="tab-pane" id="listAlarms">
<?php endif ?>
  <div class="row">
    <div class="col-lg-6">
      <br>

      <?php foreach (array_keys($alarms) as $alarmKey){
		if ($alarmKey != array_key_first($alarms)){
	  	  $alarm = $alarms[$alarmKey];
	  	  foreach (array_keys($nodes) as $nodeKey){
	    	$node = $nodes[$nodeKey];	  
	    	if ($node[1] == $alarm[0]){break;}
	  		}
	  	  foreach (array_keys($sensors) as $sensorKey){
	    	$sensor = $sensors[$sensorKey];
	    	if ($sensor[1] == $alarm[1]){break;}
	  	  }
	  	  ?>
		<div class="card">
		<div class="card-body">

			<!--Alarm Name-->
			<div class="row mb-1">
			<div class="info-item col-xs-3"  style="font-size:14px; position:relative; top:3px;"><?php echo _("Alarm Name"); ?></div>
			<div class="info-value col-xs-3" style="font-size:18px;"><?php echo _($alarm[2]); ?></div>
			</div>

			<!--Node-->
			<div class="row mb-1">
			<div class="info-item col-xs-3"  style="font-size:14px; position:relative; top:3px;"><?php echo _("Node"); ?></div>
			<div class="info-value col-xs-3" style="font-size:18px;"><?php echo _($nodeKey); ?></div>
			</div>

			<!--Sensor-->
			<div class="row mb-1">
			<div class="info-item col-xs-3"  style="font-size:14px; position:relative; top:3px;"><?php echo _("Sensor"); ?></div>
			<div class="info-value col-xs-3" style="font-size:18px;"><?php echo _($sensorKey); ?></div>
			</div>

			<!--On Trigger-->
			<div class="row mb-1">
			<div class="info-item col-xs-3"  style="font-size:14px; position:relative; top:3px;"><?php echo _("On Trigger"); ?></div>
			<div class="info-value col-xs-3" style="font-size:18px;"><?php echo _("Value is $alarm[3] $alarm[4] for $alarm[5] consecutive reading(s)"); ?></div>
			</div>

			<!--On Trigger Count-->
			<div class="row mb-1">
			<div class="info-item col-xs-3"  style="font-size:14px; position:relative; top:3px;"><?php echo _("On Trigger Count"); ?></div>
			<div class="info-value col-xs-3" style="font-size:18px;"><?php echo _("$alarm[6]/$alarm[5]"); ?></div> 
			</div>

			<!--Off Trigger-->
			<div class="row mb-1">
			<div class="info-item col-xs-3"  style="font-size:14px; position:relative; top:3px;"><?php echo _("Off Trigger"); ?></div>
			<div class="info-value col-xs-3" style="font-size:18px;"><?php echo _("Value is $alarm[7] $alarm[8] for $alarm[9] consecutive reading(s)"); ?></div>
			</div>

			<!--Off Trigger Count-->
			<div class="row mb-1">
			<div class="info-item col-xs-3"  style="font-size:14px; position:relative; top:3px;"><?php echo _("Off Trigger Count"); ?></div>
			<div class="info-value col-xs-3" style="font-size:18px;"><?php echo _("$alarm[10]/$alarm[9]"); ?></div> 
			</div>

			<!--Relay-->
			<div class="row mb-1">
			<?php if ($alarm[11] == 1): ?>
				<p style="font-style:italic; position:relative; top:3px;">This alarm is assigned to a relay</p>
			<?php else: ?>
				<p style="font-style:italic; position:relative; top:3px;">This alarm is not assigned to a relay</p>
			<?php endif ?>
			</div>

			<div class="row" style="position:relative; left:10px;">
			<input type="submit" class="btn btn-primary" value="Edit Alarm"   name=<?php echo _("editAlarm_$alarm[2]"); ?>   style="position:relative">
			<input type="submit" class="btn btn-warning" value="Reset Alarm"  name=<?php echo _("resetAlarm_$alarm[2]"); ?>  style="position:relative; left:10px">
			<input type="submit" class="btn btn-danger"  value="Delete Alarm" name=<?php echo _("deleteAlarm_$alarm[2]"); ?> style="position:relative; left:20px">
            </div>

		</div>
		</div>

	  <br>
      <?php } }?>

    </div>
  </div>
</div>
