<div class="row">
  <div class="col-lg-12">
    <div class="card">
      <div class="card-header">
        <div class="row">
	  <div class="col">
	    <i class="fas fa-bell mr-2"></i><?php echo _("Alarms"); ?>
	  </div><!--col-->
    	</div><!--row-->
      </div><!--card-header-->
      <div class="card-body">
	<form role="form" action="alarms" method="POST">
	<?php echo CSRFTokenFieldTag() ?>
	  <ul class="nav nav-tabs" role="tablist">
		<?php if ($createAlarmActive): ?>
	      <li role="presentation" class="nav-item"><a class="nav-link active" id="createAlarmTab" href="#createAlarm" aria-controls="createAlarm" role="tab" data-toggle="tab"><?php echo _("Create/Edit"); ?></a></li>
	    <?php else: ?>
		  <li role="presentation" class="nav-item"><a class="nav-link" 		  id="createAlarmTab" href="#createAlarm" aria-controls="createAlarm" role="tab" data-toggle="tab"><?php echo _("Create/Edit"); ?></a></li>
		<?php endif ?>

		<?php if ($listAlarmsActive): ?>
		  <li role="presentation" class="nav-item"><a class="nav-link active" id="listAlarmsTab"  href="#listAlarms"  aria-controls="listAlarms"  role="tab" data-toggle="tab"><?php echo _("List");   ?></a></li>
	    <?php else: ?>
		  <li role="presentation" class="nav-item"><a class="nav-link"        id="listAlarmsTab"  href="#listAlarms"  aria-controls="listAlarms"  role="tab" data-toggle="tab"><?php echo _("List");   ?></a></li>
		<?php endif ?> 
		
		<?php if ($alarmsLogsActive): ?>
		  <li role="presentation" class="nav-item"><a class="nav-link active" id="alarmsLogsTab"  href="#alarmsLogs"  aria-controls="alarmsLogs"  role="tab" data-toggle="tab"><?php echo _("Logs");   ?></a></li>
		<?php else: ?>
		  <li role="presentation" class="nav-item"><a class="nav-link"		  id="alarmsLogsTab"  href="#alarmsLogs"  aria-controls="alarmsLogs"  role="tab" data-toggle="tab"><?php echo _("Logs");   ?></a></li>
		<?php endif ?>
	  </ul>
	  <!--Tab Panes-->
	  <div class="tab-content">
	    <?php echo renderTemplate("alarms/create", $__template_data) ?>
	    <?php echo renderTemplate("alarms/list",   $__template_data) ?>
	    <?php echo renderTemplate("alarms/logs",   $__template_data) ?>
	  </div><!--tab-content-->	
	</form>
      </div><!--card-body-->	
      <div class="card-footer">
      </div><!--card-footer-->
    </div><!--card-->
  </div><!--col-lg-12-->
</div><!--row-->
