<?php if ($createAlarmActive): ?>
<div role="tabpanel" class="tab-pane active" id="createAlarm">
<?php else: ?>
<div role="tabpanel" class="tab-pane" id="createAlarm">
<?php endif ?>

  <div class="row">
    <div class="col-lg-6">
      <br>

      <form name="create" method="POST">
        <?php echo CSRFTokenFieldTag() ?>

		<?php SelectorOptions('alarms', $alarmSelector, $selectedAlarm, $null, 'this.form.submit') ?>

		<br>
		<hr class="sidebar-divider my-0">
		<br>

		<!--Name-->
		<div class="row" style="position:relative; left:15px;">
			<h4 class="mt-3" style="font-size:20px;"><?php echo _("Alarm Name"); ?></h4>
			<?php if ($createAlarm): ?>
				<input name="alarmName" id="alarmName" style="width:200px; height:30px; position:relative; left:10px; top:13px;">
			<?php else: ?>
				<input name="alarmName" id="alarmName" value=<?php echo _($alarmInfo[2]); ?> style="width:200px; height:30px; position:relative; left:10px; top:13px;">
			<?php endif ?>
		</div>
		
		<br>

		<h4 class="mt-3" style="font-size:20px;"><?php echo _("Select a node"); ?></h4>
		<?php if ($createAlarm): ?>
			<?php SelectorOptions('nodes',  $nodeSelector, $selectedNode, $null, 'this.form.submit') ?>
		<?php else: ?>
			<?php SelectorOptions('nodes2', $nodeSelector, $selectedNode, $null, 'this.form.submit') ?>
		<?php endif ?>

		<h4 class="mt-3" style="font-size:20px;"><?php echo _("Select a sensor"); ?></h4>
		<?php SelectorOptions('sensors', $sensorSelector, $selectedSensor) ?>

		<br>

		<!--On Trigger-->
		<div class="row" style="position:relative; left:15px; top:10px;">
			<h4 class="mt-3" style="font-size:20px;"><?php echo _("On Trigger"); ?>
		</div>

		<!--Inequality Drop Down-->
		<div class="row" style="position:relative; left:15px; top:5px;">
			<h4 class="mt-3" style="font-size:18px;"><?php echo _("Value is"); ?></h4>
			<div class="row" style="position:relative; left:24px; top:8px;">
				<?php SelectorOptions('onInequality', $inequalityArray, $alarmInfo[3]) ?>
			</div>
			<?php if ($createAlarm): ?>
				<input type="number" name="onValue" id="onValue" style="width:100px; height:30px; position:relative; left:50px; top:12px;">
			<?php else: ?>
				<input type="number" name="onValue" id="onValue" value=<?php echo _($alarmInfo[4]); ?> style="width:100px; height:30px; position:relative; left:50px; top:12px;">
			<?php endif ?>
			
		<!--Number of readings-->
			<h4 class="mt-3" style="font-size:18px; position:relative; left:60px; bottom:5px;"><?php echo _("for"); ?>
			<?php if ($createAlarm): ?>
				<input type="number" min="1" name="onReadings" id="onReadings" style="width:100px; height:30px; position:relative; left:5px; top:1px;">
			<?php else: ?>
				<input type="number" min="1" name="onReadings" id="onReadings" value=<?php echo _($alarmInfo[5]); ?> style="width:100px; height:30px; position:relative; left:5px; top:1px;">
			<?php endif ?>
			<h4 class="mt-3" style="font-size:18px; position:relative; left:75px; bottom:1px;"><?php echo _("consecutive reading(s)"); ?>
		</div>

		<br>
		
		<!--Off Trigger-->
		<div class="row" style="position:relative; left:15px; top:10px;">
			<h4 class="mt-3" style="font-size:20px;"><?php echo _("Off Trigger"); ?>
		</div>

		<!--Inequality Drop Down-->
		<div class="row" style="position:relative; left:15px; top:5px;">
			<h4 class="mt-3" style="font-size:18px;"><?php echo _("Value is"); ?></h4>
			<div class="row" style="position:relative; left:24px; top:8px;">
				<?php SelectorOptions('offInequality', $inequalityArray, $alarmInfo[7]) ?>
			</div>
			<?php if ($createAlarm): ?>
				<input type="number" name="offValue" id="offValue" style="width:100px; height:30px; position:relative; left:50px; top:12px;">
			<?php else: ?>
				<input type="number" name="offValue" id="offValue" value=<?php echo _($alarmInfo[8]); ?> style="width:100px; height:30px; position:relative; left:50px; top:12px;">
			<?php endif ?>
			
		<!--Number of readings-->
			<h4 class="mt-3" style="font-size:18px; position:relative; left:60px; bottom:5px;"><?php echo _("for"); ?>
			<?php if ($createAlarm): ?>
				<input type="number" min="1" name="offReadings" id="offReadings" style="width:100px; height:30px; position:relative; left:5px; top:1px;">
			<?php else: ?>
				<input type="number" min="1" name="offReadings" id="offReadings" value=<?php echo _($alarmInfo[9]); ?> style="width:100px; height:30px; position:relative; left:5px; top:1px;">
			<?php endif ?>
			<h4 class="mt-3" style="font-size:18px; position:relative; left:75px; bottom:1px;"><?php echo _("consecutive reading(s)"); ?>
		</div>
		
		<br>

		<?php if ($relaysUsed < 1 || (!$createAlarm && $alarmInfo[11] == 1)): ?>
			<br>
			<input type="checkbox" name="assignRelay" checked>
			<label for="assignRelay" style="position:relative;">Assign relay to alarm</label>
			<br>
		<?php else: ?>
			<p style="font-style:italic; position:relative; top:15px;">This alarm cannot trigger a relay because all relays are assigned to other alarms</p>	
		<?php endif ?>

		<br>
		<?php if ($createAlarm): ?>
			<input type="submit" class="btn btn-primary" value="<?php echo _("Create Alarm"); ?>" name="createAlarm" style="position:relative; left:3px;">
		<?php else: ?>
			<div class="row" style="position:relative; left:12px; top:10px">
				<input type="submit" class="btn btn-primary" value="Update Alarm" name="updateAlarm" style="position:relative">
				<input type="submit" class="btn btn-warning" value="Cancel Edit"  name="cancelEdit"  style="position:relative; left:10px">
				<input type="submit" class="btn btn-danger"  value="Delete Alarm" name="deleteAlarm" style="position:relative; left:20px">
            </div>
		<?php endif ?>
		<br>

      </form>

    </div>
  </div>
</div>

